import { ChangeEvent } from 'react';
type Value = {
    [key: string]: any;
    label?: string;
    value?: string;
};
interface BitzOrganizationSelection {
    /**
     * h5中弹窗换成drawer,通过此配置可以设置drawer高度
     */
    drawerHeight?: number;
    /**
     * placeholder占位符
     */
    placeholder?: string;
    /**
     * SelectOrganization默认值
     */
    options?: Value[];
    /**
     * 自定义节点 label、value 的字段
     */
    fieldNames?: Object;
    /**
     * 自定义header
     */
    headerRender?: () => React.ReactNode | null;
    /**
     * 标签列表
     */
    tags?: {
        label: string;
        checked?: boolean;
    }[];
    /**
     * 标签chang事件
     */
    onTagChange?: (item?: {
        label: string;
        checked?: boolean;
    }, checked?: boolean) => void;
    /**
     * 搜索change事件
     */
    onSearch?: (e: ChangeEvent<HTMLInputElement>) => void;
    /**
     * 选中事件
     */
    onCheck?: (keys: any[], e: any) => void;
    /**
     * 设置选中的树节点
     */
    defaultCheckedKeys?: any[];
    defaultExpandedKeys?: any[];
    /**
     * 树标题
     */
    treeTitle?: React.ReactNode | null;
    /**
     * 树数据源
     */
    treeData?: any[];
}
interface SelectOrganization extends BitzOrganizationSelection {
    options: Value[];
    onChange?: (options?: Value[]) => void;
}
declare const BitzOrganizationSelection: (props: BitzOrganizationSelection) => import("react/jsx-runtime").JSX.Element;
export declare const SelectOrganization: ({ placeholder, fieldNames, options, onChange, drawerHeight, ...props }: SelectOrganization) => import("react/jsx-runtime").JSX.Element;
export default BitzOrganizationSelection;
