import { Key, ReactNode } from 'react';
import { SelectProps as AntSelectProps } from 'antd';
import { FieldNames, PaginationChangeEvent, PaginationProps, TableSelectPopupParentRender } from '..';
import { ColumnsType } from 'antd/es/table';
import { BaseOptionType } from 'antd/es/select';
interface SelectProps<T extends BaseOptionType> extends AntSelectProps<any[], BaseOptionType> {
    /** 表单回填数据 */
    value?: Key[];
    /** 表单回填Options */
    options?: T[];
    /** 表格列配置 */
    columns: ColumnsType<T>;
    /** 表格数据 */
    tableData: T[];
    /** 表格总数据条数 */
    total: number;
    /** 分页属性 */
    page: PaginationProps;
    /** 分页切换 */
    onPageChange: PaginationChangeEvent;
    /** 表格搜索input元素 */
    searchInput: ReactNode;
    /** 常用标签 */
    showToolTagSelect?: boolean;
    /** 常用标签options */
    toolTags?: AntSelectProps['options'];
    /** 常用标签change的值 */
    onToolTagChange?: AntSelectProps['onChange'];
    /** 左右布局 */
    lrLayout?: boolean;
    /** 下拉Popup左边区域渲染函数 */
    parentRender?: TableSelectPopupParentRender;
    /** 加载表格数据 */
    loading: boolean;
    /** 加载失败 */
    loadingFailed: boolean;
    /** 重新加载 */
    loadAgain: () => void;
    /** 回填数据的属性 */
    fieldNames: FieldNames;
    /** placeholder */
    placeholder?: string;
    /** 向父/组件传递数据的事件 */
    onChange?: (value: Key[]) => void;
}
/** 下拉表格组件 */
declare function TableSelect<T extends BaseOptionType>({ value, options: dataRows, columns, tableData, total, loading, loadingFailed, loadAgain, page, onPageChange, searchInput, showToolTagSelect, toolTags, onToolTagChange, lrLayout, parentRender, placeholder, fieldNames, onChange, ...rest }: SelectProps<T>): import("react/jsx-runtime").JSX.Element;
export default TableSelect;
